Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jdeveloper.html
Class HTMLTableCell

    java.lang.Object
      |
      +--oracle.jdeveloper.html.HTMLElement
            |
            +--oracle.jdeveloper.html.HTMLTableCell

Direct Known Subclasses:
  HTMLFormField

public class HTMLTableCell
extends HTMLElement

Reperents an HTML TABLE's TD tag.

Version:
  PUBLIC

Field Summary
`protected HTMLElement` | `Element`
`protected boolean` | `hasClass`

Fields inherited from class oracle.jdeveloper.html.HTMLElement
`sClassName`

Constructor Summary
`HTMLTableCell(HTMLElement elem)` Constructs an a table cell whose contents are rendered by the provided HTMLElement.
`HTMLTableCell(HTMLElement elem, java.lang.String sClass)` Constructs an a table cell whose contents are rendered by the provided HTMLElement.

Method Summary
`void` | `render(java.io.PrintWriter out)`

Methods inherited from class oracle.jdeveloper.html.HTMLElement
`fixFieldValueForHTML, getAsString, getCSSClassName, render, setCSSClassName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### Element

    protected HTMLElement Element

### hasClass

    protected boolean hasClass

Constructor Detail

### HTMLTableCell

    public HTMLTableCell(HTMLElement elem)

  Constructs an a table cell whose contents are rendered by the provided HTMLElement.
  Parameters:
    `elem` - Element that will render the HTML TABLE's TD

### HTMLTableCell

    public HTMLTableCell(HTMLElement elem,
                         java.lang.String sClass)

  Constructs an a table cell whose contents are rendered by the provided HTMLElement.
  Parameters:
    `elem` - Element that will render the HTML TABLE's TD
    `sClass` - CSS class name for the table cell

Method Detail

### render

    public void render(java.io.PrintWriter out)
                throws java.lang.Exception

  Overrides:
    render in class HTMLElement

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD